<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

session_start(); 
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(FALSE)==FALSE) header("Location: ../index.php");
if (CheckNivLog("9")==FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Logs des T&eacute;l&eacute;chargements</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Définition Javascript pour calendrier popup -->
  <!-- Feuille de Style -->
  <link rel="stylesheet" type="text/css" media="all" href="../jscript/jscal/skins/aqua/theme.css" title="Aqua" />

  <!-- Script Javascript Principal -->
  <script type="text/javascript" src="../jscript/jscal/calendar.js"></script>

  <!-- Choix du langage -->
  <script type="text/javascript" src="../jscript/jscal/lang/calendar-fr.js"></script>

  <!-- the following script defines the Calendar.setup helper function, which makes
       adding a calendar a matter of 1 or 2 lines of code. -->
  <script type="text/javascript" src="../jscript/jscal/calendar-setup.js"></script>
<!-- Fin de la définition Javascript pour calendrier popup -->

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
var tab_champ=new Array(
	"nom:date1f ; format:date ; req:Y ; txt:Date de début ; masque:jj-mm-aaaa ; stok:frmok ; stbad:frmbad",
	"nom:date2f ; format:date ; req:Y ; txt:Date ed fin ; masque:jj-mm-aaaa ; stok:frmok ; stbad:frmbad");
</script>

<!-- Scripts Javascript de validation des formulaires -->
<script	type="text/javascript" src="../jscript/verif_form.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<body onLoad="metFocus();">

<?php 
include_once("../inc/entete.inc.php"); 
?>
<p align="center"><span class="titrepage">LOGS DES TELECHARGEMENTS </span></p>
<?PHP
$fic_imp = "flog_lsti.php";

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

// Détermination du nombre total d'enregistrements
$rech = cree_strrechlstflog();
$rech .= crestr_triord($flog_titre_col,"ficlog_date",FALSE,$limitlog);
	 
$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête


// *** Pagination
if(empty($_GET['page']))$_GET['page'] = 0; // Valeur de par défaut du nombre de pages

$pages = intval($numrows/$limitlog); // Nombre total de pages

if($numrows%$limitlog) $pages++; // S'il y a un reste à la division, alors page+1
$current = ($_GET['page']/$limitlog) + 1; // Numéro de page courante
	
if(($pages < 1) || ($pages == 0)) 
  $total = 1; // Si le nombre de pages est inférieur à 1 ou égal à 0, alors le nombre total de pages est 1
else 
 $total = $pages; // Sinon, on conserve la variable $page telle qu'elle
	
$first = $_GET['page'] + 1; // Premier résultat
	
if(((($_GET['page'] + $limitlog) / $limitlog) >= $pages) && $pages != 1) 
	 $last = $_GET['page'] + $limitlog; // Si ce n'est pas la dernière page de résultats, alors la dernière page de résultat est $page + $limitlog
else
	$last = $numrows; // Si c'est la dernière page de résultats, le dernier résultat est égal au nombre total de résultats
// *** Fin de Pagination

if($numrows == 0)
{
	retpp();
}
 else
{
	include_once("../inc/formr.inc.php"); 

	$rech = cree_strrechlstflog();
	$rech .= crestr_triord($flog_titre_col,"ficlog_date",TRUE,$limitlog);

	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs);
	
	// *** Affichage de la table
	echo "<span class=\"annot_petit_it\">Cliquez sur les IP pour les d&eacute;tails.</span>";
	echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
	
	// Création entête
	titlst(FALSE,$flog_titre_col);
	
	$i = 0;
		
	while ($row = mysql_fetch_assoc($rs)) 
	{         
		// Création de l'entête de ligne (TR)
		creetrlst($i);
		
		echo "<td align=\"center\">".formatedate($row["ficlog_date"])."</td>\n";
		echo "<td align=\"center\">".$row["ficlog_heure"]."</td>\n";
		echo "<td align=\"center\">";
		echo "<a href=\"javascript:;\" onclick=\"javascript:; fen_det_ip('".$row["ficlog_ip"]."');\">".$row["ficlog_ip"]."</a>";
		echo "</td>\n";
		echo "<td>".$row["ficlog_ref"]."</td>\n";
		echo "<td>".$row["ficlog_fic"]."</td>\n";
		echo "<td align=\"center\">";
		echo $typ_flog[intval($row["ficlog_type"])];
		echo "</td>\n";
	
		echo "</tr>\n";
		
		$i++;    
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	
	// *** Pagination de pied
	echo "<table width=\"100%\" border=\"0\">
	<tr>
	<td align=\"center\">\n";
		
	if (!empty($_GET['page']) && $_GET['page'] > 0)
	{
	   $back_page = $_GET['page'] - $limitlog;
	   $url = $_SERVER["PHP_SELF"]."?page=$back_page";
	
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
	   
	   
	   echo "<a href=\"$url\"><img src=\"../img/prec.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>    \n";
	}
	 
	// Boucle sur chaque page et CREATION d'un lien sur celle-ci
	// Pas de page s'il n'y a seulement qu'une page
	if($pages > 1)
	{
	 for ($i=1; $i <= $pages; $i++) 
	 {
	   $ppage = $limitlog*($i - 1);
	   if ($ppage == $_GET['page'])
		  echo("<span class=\"psel\">$i</span> \n");
	   else
	   {
		  $url = $_SERVER["PHP_SELF"]."?page=$ppage";
						  
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
						  
		  echo("<span class=\"pnsel\"><a href=\"$url\">$i</a></span> \n");
	   }
	 }
	}
	
	if(((($_GET['page']+$limitlog) / $limitlog) < $pages) && $pages != 1) 
	{   
	   $next_page = $_GET['page'] + $limitlog; // Si c'est la dernière page, pas de page suivante
	   $url = $_SERVER["PHP_SELF"]."?page=$next_page";
		
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
	   
	   echo "    <a href=\"$url\"><img src=\"../img/suiv.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>\n";
	}
	 
	echo "</td>
		 </tr>
		 </table>"; 
	
	// *** Fin de pagination de pied	
	mysql_close($conn);  
			
	$taille_piedla="";
	include_once("../inc/piedla.inc.php"); 
}

if ($numrows>0)
{
?>
<!-- Permet de purger des logs sur une fourchette de dates -->
<form name="log_purge" id="log_purge" method="post" action="flog_enr.php?td=del">
<p align="center" class="titre_gras_soul">PURGE DES LOGS</p>
<table width="400"  border="0" align="center">
<tr>
<td width="30" class="rubfrm" id="f_date1f"><div align="right">Du...</div></td>
<td>
	<input name="date1f" type="text" id="date1f" size="10" maxlength="10" readonly="1">
	<img src="../img/calendar.png" id="f_img_date1f" title="Choisir votre date" width="16" height="16">
	<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
</td>
<td width="30" class="rubfrm" id="f_date2f"><div align="right">Au...</div></td>
<td>
	<input name="date2f" type="text" id="date2f" size="10" maxlength="10" readonly="1">
	<img src="../img/calendar.png" id="f_img_date2f" title="Choisir votre date" width="16" height="16">
	<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
</td>
</tr>
</table>
<p align="center">
<input name="purge" type="button" class="bton_fmarr_std" id="purge" value="Purger" onClick="verif_flogs(log_purge,tab_champ,'','',this.value);">
<input name="purge" type="button" class="bton_fmarr_std" id="purge" value="Tout Purger" onClick="verif_flogs(log_purge,tab_champ,'','',this.value);">
</p>
</form>

<script type="text/javascript">
Calendar.setup({
inputField     :    "date1f",     // id of the input field
ifFormat       :    "%d-%m-%Y",      // format of the input field
button         :    "f_img_date1f",  // trigger for the calendar (button ID)
align          :    "Ll",           // alignment (defaults to "Bl")
electric	   :	false,
singleClick    :    true
});
Calendar.setup({
inputField     :    "date2f",     // id of the input field
ifFormat       :    "%d-%m-%Y",      // format of the input field
button         :    "f_img_date2f",  // trigger for the calendar (button ID)
align          :    "Ll",           // alignment (defaults to "Bl")
electric	   :	false,
singleClick    :    true
});
</script>

<?php 
}
include_once("pied.php");
?>
